package game;

import java.util.Random;

public class Main {

    public static void main(String[] args) {

        Random r = new Random();

        GerenciaJogadores gj = new GerenciaJogadores();

        PersonagemFactory ff = PersonagemFactory.getInstancia();
        Personagem p = null;
        Jogador j = null;

        for (int i = 0; i < 200; i++) {
            j = new Jogador( r.nextInt(3) + 1 );
            j.setNome("Jogador_" + i);

            gj.conecta(j);
        }

        int meuId = 5;

        j = gj.getJogador( meuId );
        System.out.println("Meu nome : " + j.getNome());
        System.out.println("Tipo textura : " + j.getPersonagem().getTextura().getTipo());

        j.corre(500, 30);
        j.pula();


        long used = Main.memoriaUsada();
        System.out.println("\nMemoria usada:" + used + " MB");
    }

    private static long memoriaUsada() {
        Runtime r = Runtime.getRuntime();
        return (r.totalMemory() - r.freeMemory()) / 1024 / 1024;
    }
}
