/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package game;

import java.util.Random;

/**
 *
 * @author Convidado
 */
public class MainSemFlyweight {

    public static void main(String[] args) {
        Random r = new Random();

        Personagem p = null;
        GerenciaJogadores gj = new GerenciaJogadores();
        for (int i = 0; i < 200; i++) {
            p = new Personagem( r.nextInt(3) + 1 );
            p.setNome("Jogador_" + i);

            gj.conecta(p);
        }

        int meuId = 5;

        p = gj.getPersonagem( meuId );
        System.out.println("Meu nome : " + p.getNome());
        System.out.println("Tipo textura : " + p.getTextura().getTipo());

        p.corre(500, 30);
        p.pula();


        long used = MainSemFlyweight.memoriaUsada();
        System.out.println("\nMemoria usada:" + used + " MB");
    }

    private static long memoriaUsada() {
        Runtime r = Runtime.getRuntime();
        return (r.totalMemory() - r.freeMemory()) / 1024 / 1024;
    }

}
